# Products

A Product is a physical Parklio hardware device (e.g. a barrier, gate,
  bollard, chain, or brain) that has been paired with an account through
  master-key exchange in the Parklio Connect App. Once assigned to a lot,
  a product can be remotely operated (e.g. opened/closed), configured,
  and monitored through this API.

- [List products](https://docs.parklio.com/api/endpoints/products-find-all.md): `GET /v2/products`
- [Get a product](https://docs.parklio.com/api/endpoints/products-find-one.md): `GET /v2/products/{id}`
- [Patch a product](https://docs.parklio.com/api/endpoints/products-update.md): `PATCH /v2/products/{id}`
- [Unassign a product](https://docs.parklio.com/api/endpoints/products-unassign.md): `DELETE /v2/products/{id}`
- [Operate a product](https://docs.parklio.com/api/endpoints/products-change-state.md): `POST /v2/products/{id}/state`
- [Change barrier settings](https://docs.parklio.com/api/endpoints/products-change-settings.md): `POST /v2/products/{id}/settings`
- [List products with errors](https://docs.parklio.com/api/endpoints/products-find-all-product-errors.md): `GET /v2/products/errors`
- [Bind plates to a product](https://docs.parklio.com/api/endpoints/products-bind-license-for-product.md): `POST /v2/products/{id}/bind-licenses`
- [Bind plates to several products](https://docs.parklio.com/api/endpoints/products-bind-license-for-products.md): `POST /v2/products/bind-licenses`
- [List all bound license plates on a product](https://docs.parklio.com/api/endpoints/products-find-all-binds.md): `GET /v2/products/{id}/bound-licenses`
- [Unbinds multiple Products from a License Plate](https://docs.parklio.com/api/endpoints/products-unbind-licenses-for-products.md): `DELETE /v2/products/bound-licenses/{licenseId}`
- [Unbinds a Product from a License Plate](https://docs.parklio.com/api/endpoints/products-unbind-license-for-product.md): `DELETE /v2/products/{id}/bound-licenses/{licenseId}`
